Bug 250916 - lokkit opens only 2049/tcp on NFS4, 2049/udp is missing
lokkit opens only 2049/tcp on NFS4, 2049/udp is missing
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: system-config-securitylevel (Show other bugs)
7
All Linux
low Severity medium
: ---
: ---
Assigned To: Thomas Woerner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-05 03:54 EDT by Peter Bieringer
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: 1.7.0-6.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-14 22:41:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Peter Bieringer 2007-08-05 03:54:28 EDT
Description of problem:
While digging through a autofs NFS mount delay problem I found that lokkit only
opens 2049/tcp, if NFS4 is selected, 2049/udp is missing.

Version-Release number of selected component (if applicable):
system-config-securitylevel-1.7.0-5.fc7
Also: system-config-securitylevel of RHEL5, where this problem was originially
found.

How reproducible:
Always

Steps to Reproduce:
1. enable NFS4 with system-config-security-level on an NFS server (pin also the
RPC services to fixed ports and add these ports, too)
2. (auto)mount an exported directory from remote
  
Actual results:
You will get a mount delay and on sniffing, you will found some 2049/udp packets
before NFS switches to TCP.

Expected results:
2049/udp rule will also be added
Comment 1 Fedora Update System 2007-11-09 18:58:49 EST
system-config-securitylevel-1.7.0-6.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-securitylevel'
Comment 2 Fedora Update System 2007-11-14 22:41:21 EST
system-config-securitylevel-1.7.0-6.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.